Subject: bug#18035: Linum-mode + org-indent-mode results in graphical bug

From: Lionel Henry <[email-masked]>
Date: Sat, 26 Jul 2014 17:53:47 +0200

Le 26 juil. 2014 à 17:36, Eli Zaretskii <[email-masked]> a écrit :

> Thanks.
> 
> AFAICS, rainbow-delimiters-mode uses the JIT Font Lock machinery to do
> its job, which might conflict with org-indent's usage of an idle timer
> and/or fail to trigger linum-mode's update on that line.  When I
> modify the "head 2" line, the line number is still visible, but then
> about a second later the line gets re-indented and the line number
> disappears.
> 
> I suggest that you report this to the developers of org-indent and
> rainbow-delimiters-mode, and ask them to debug this.  If their
> conclusion is that this is a core Emacs problem, please get back here
> and report the details.

Ok I will.

But now that I've disabled rainbows and enabled linum in org-mode again,
I found another bug that might be related. With emacs -Q:

- Open a .org file large enough that you can scroll it.
- Enable linum and org-indent-mode
- Scroll

The linum and the indentation will disappear in the very first line.